@import "../../../../../scss/variables";

.property-value {
  font-size: 0.875rem;
  font-weight: 600;
  word-break: break-word;
}

.property-child {
  display: block;

  &.is-hidden {
    display: none;
  }
}

.property-key {
  display: flex;
  align-items: center;
  flex-wrap: wrap;

  .complex-property-warning {
    width: 100%;
    padding-left: 1.25rem;
    display: flex;
    align-items: center;

    svg {
      fill: $grey-dark-color;
      width: 0.875rem;
      margin-right: 0.5rem;
    }

    .warning-complexity {
      font-weight: 600;
    }
  }

  .icon-chevron {
    margin-right: 0.5rem;

    svg {
      width: 12px;
      fill: $grey-dark-color;
      transform: rotate(-90deg);
    }

    svg.icon-opened {
      transform: rotate(0deg);
    }
  }
}

.complex-property-child {
  margin-left: 1.25rem;
  margin-top: 1rem;
}

.is-parent {
  cursor: pointer;
}

.property {
  padding-bottom: 0.625rem;
  margin-bottom: 0.625rem;
  font-size: 0.75rem;

  &:not(:last-of-type) {
    border-bottom: 1px solid $grey-background-color;
  }
}
